<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [placeOrder](./bitburner.tix.placeorder.md)

## TIX.placeOrder() method

Place order for stocks.

**Signature:**

```typescript
placeOrder(sym: string, shares: number, price: number, type: string, pos: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |
|  shares | number | Number of shares for order. Must be positive. Will be rounded to the nearest integer. |
|  price | number | Execution price for the order. |
|  type | string | Type of order. |
|  pos | string | Specifies whether the order is a “Long” or “Short” position. |

**Returns:**

boolean

True if the order is successfully placed, and false otherwise.

## Remarks

RAM cost: 2.5 GB Places an order on the stock market. This function only works for Limit and Stop Orders.

The ability to place limit and stop orders is \*\*not\*\* immediately available to the player and must be unlocked later on in the game.

Returns true if the order is successfully placed, and false otherwise.

